### Method

# Gimp Palette get_colors

since: 2.6

#### Declaration [src]

    GeglColor**
    gimp_palette_get_colors (
      GimpPalette* palette
    )

#### Description [src]

Gets colors in the palette.

Returns an array of colors in the palette. Free the returned array with gimp_color_array_free().

Available since: 2.6

#### Return value

Type: An array of `GeglColor*`

         The colors in the palette.
         The returned value must be freed with gimp_color_array_free().

The array is `NULL`-terminated.
The caller of the method takes ownership of the returned data, and is responsible for freeing it.